<template>
    <q-card-section>
        
        <div class="text-body2 text-left text-weight-light q-pl-lg q-pr-lg q-pt-lg">
            The ChatMicroservice holds chatrooms, their messages and the users participating in the chats, as its domain objects. The ImageMicroservice is responsible for all the images. It automatically downloads and stores a random profile picture.
        </div>
        <div class="text-body2 text-left text-weight-light q-pl-lg q-pr-lg q-pt-lg">
            Both microservices are subsribed to a RabbitMQ message queue which stores the currently logged in user in an event. As soon as a user signs into its account or registers, the ChatMicroservice receives the event, stores a copy of the user in its database and also creates a default chat with me. 
            The ImageMicroservice on the other hand, checks if the user has a profile picture and downloads a random one if there is none.
        </div>
        <div class="text-body2 text-left text-weight-light q-pl-lg q-pr-lg q-pt-lg">        
            All Spring based applications retrieve their configurations from a Spring Cloud Config Server, which stores all the configurations in a Git repo.
            Secrets like credentials are stored in an instance of Hashicorp Vault, which also generates TLS Certificates for all microservices.
            Docker Swarm Secrets helps hiding the credentials for the microservices to be able to access Vault and also stores configuration and TLS certificates for some of them.   
        </div>
    </q-card-section>
</template>

<script>
export default {
  name: 'AppTextPartOne',
}
</script>